#ifndef _ALSA_PCM_TESTS_H
#define _ALSA_PCM_TESTS_H

/*
 *  ALSA PCM Tester
 *
 *  Copyright (c) 2013 Eldad Zack <eldad@fogrefinery.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

void test_open(long unsigned int permn, long unsigned int last_permn);
void test_hw_params(long unsigned int permn, long unsigned int last_permn);
void test_prepare(long unsigned int permn, long unsigned int last_permn);
void test_stream(long unsigned int permn, long unsigned int last_permn);

extern char *hw_name;
extern char *shell_cmd;
extern unsigned int rate;
extern unsigned int waitsleep_ms;

#endif

